// components/contactmov/contactmov.js
const util = require('../../utils/util.js');
const api = require('../../api/api.js');
Component({
	/**
	 * 组件的属性列表
	 */
	properties: {
		pageX: {
			type: Number,
			default: 600
		},
		pageY: {
			type: Number,
			default: 1000
		},
		issue:{
			type:String,
			default: ''
		},
	},

	/**
	 * 组件的初始数据
	 */
	data: {
		randomNum:(Math.random()*100000000).toFixed(0),

	},

	/**
	 * 组件的方法列表
	 */
	methods: {
		goIm(){
			console.log(this.data.issue);
			// this.triggerEvent('issueclick',{id:1})
			// bindissueclick="onIssue" 
			wx.navigateTo({
				url: '/pages/problem/list/list?bookTradeNo=' + this.data.issue,
			})
		},
	
	}
})
